// 数字量输出跑马灯
function do_out_loop() 
	local t = 10  			// 运行次数
	local doIdx = 1		// 当前的do序号
	local doVal = 0		
	local delayTm = 50
	
	while t > 0 do 
		mc.setdo(doIdx,1)
		mc.delayms(delayTm)
		mc.setdo(doIdx,0)
		mc.delayms(delayTm)
		doIdx = doIdx + 1
		if doidx > 16 then 
			doidx = 1
			t = t - 1
        end
    end
end
